//TAG ITEMS
onEvent('item.tags', event => {

    //Copper
    event.remove('forge:ingots/copper', ['create:copper_ingot', 'mekanism:ingot_copper', 'tconstruct:copper_ingot', 'janoeo:copper_ingot', 'exnihilosequentia:ingot_copper'])
    event.remove('forge:nuggets/copper', ['create:copper_nugget', 'mekanism:nugget_copper', 'tconstruct:copper_nugget'])
    event.remove('forge:dusts/copper', ['mekanism:dust_copper', 'janoeo:copper_dust'])
    event.remove('forge:plates/copper', ['create:copper_sheet'])
    event.remove('forge:storage_blocks/copper', ['create:copper_block', 'mekanism:block_copper', 'tconstruct:copper_block'])
    
    //Tin
	event.remove('forge:ingots/tin', ['exnihilosequentia:ingot_tin', 'mekanism:ingot_tin', 'janoeo:tin_ingot'])
	event.remove('forge:nuggets/tin', ['mekanism:nugget_tin'])
	event.remove('forge:dusts/tin', ['mekanism:dust_tin', 'janoeo:tin_dust'])

	//Lead
	event.remove('forge:ingots/lead', ['janoeo:lead_ingot', 'exnihilosequentia:ingot_lead', 'mekanism:ingot_lead'])
	event.remove('forge:nuggets/lead', 'mekanism:nugget_lead')
	event.remove('forge:dusts/lead', ['mekanism:dust_lead', 'janoeo:lead_dust'])

	//Silver
	event.remove('forge:ingots/silver', ['exnihilosequentia:ingot_silver', 'janoeo:silver_ingot'])
	event.remove('forge:dusts/silver', 'janoeo:silver_dust')
  })
//TAG BLOCKS

  //REMOVE
  onEvent('recipes', event => {

	event.remove({id: 'excompressum:compressed_sand'})
	event.remove({id: 'exnihiloauto:compressed_sand'})
	event.remove({id: 'exnihiloauto:compressed_gravel'})
	event.remove({id: 'exnihiloauto:compressed_cobble'})
	event.remove({id: 'create:crafting/kinetics/mechanical_crafter'})

	event.shaped('3x create:mechanical_crafter', [
		" A ",
		"BCB",
		" D "
	], {
		A: 'create:electron_tube',
		B: 'create:cogwheel',
		C: 'create:brass_casing',
		D: 'minecraft:crafting_table'
	})

    //Copper
	event.remove({id: 'tconstruct:common/materials/copper_ingot_blasting'})
	event.remove({id: 'tconstruct:common/materials/copper_ingot_smelting'})
	event.remove({id: 'janoeo:blasting_copper_ore_to_copper_ingot'})
	event.remove({id: 'janoeo:smelting_copper_ore_to_copper_ingot'})
	event.remove({id: 'janoeo:blasting_copper_nether_ore_to_copper_ingot'})
	event.remove({id: 'janoeo:smelting_copper_nether_ore_to_copper_ingot'})
	event.remove({id: 'create:smelting/copper_ingot_from_crushed'})
	event.remove({id: 'create:splashing/crushed_copper_ore'})
	event.remove({id: 'create:pressing/copper_ingot'})
	event.remove({id: 'create:crushing/copper_dust'})
	event.remove({id: 'create:crushing/copper_block'})
	event.remove({id: 'thermal:machine/centrifuge/centrifuge_bronze_dust'})
	event.remove({id: 'thermal:machine/centrifuge/centrifuge_constantan_dust'})
	event.remove({id: 'exnihilosequentia:ens_ingot_copper_blast'})
	event.remove({id: 'exnihilosequentia:ens_ingot_copper'})
	event.remove({id: 'thermal:furnace_1603458662'})
	event.remove({id: 'thermal:furnace_1681725629'})
	event.remove({id: 'thermal:furnace_2041690656'})
	event.remove({id: 'mysticalagriculture:essence/common/copper_ingot'})
	event.remove({id: 'create:blasting/copper_ingot_from_ore'})
	event.remove({id: 'create:blasting/copper_ingot_from_crushed'})
	event.remove({id: 'create:smelting/copper_ingot_from_ore'})
	event.remove({id: 'create:crafting/materials/copper_ingot_from_decompacting'})
	event.remove({id: 'create:crafting/materials/copper_ingot_from_compacting'})
	event.remove({id: 'mekanism:processing/copper/ingot/from_block'})
	event.remove({id: 'mekanism:processing/copper/ingot/from_nuggets'})
	event.remove({id: 'mekanism:processing/copper/dust/from_ingot'})
	event.remove({id: 'mekanism:processing/copper/dust/from_ore'})
	event.remove({id: 'mekanism:processing/copper/dust/from_dirty_dust'})
	event.remove({id: 'mekanism:processing/copper/ingot/from_dust_blasting'})
	event.remove({id: 'mekanism:processing/copper/ingot/from_ore_blasting'})
	event.remove({id: 'mekanism:processing/copper/ingot/from_dust_smelting'})
	event.remove({id: 'mekanism:processing/copper/ingot/from_ore_smelting'})
	event.remove({id: 'tconstruct:common/materials/copper_ingot_from_block'})
	event.remove({id: 'tconstruct:common/materials/copper_ingot_from_nuggets'})
	event.remove({id: 'tconstruct:common/materials/copper_block_from_ingots'})
	event.remove({id: 'tconstruct:common/materials/copper_nugget_from_ingot'})
	event.remove({id: 'create:crafting/materials/copper_nugget_from_decompacting'})
	event.remove({id: 'mekanism:processing/copper/nugget/from_ingot'})
	event.remove({id: 'create:crafting/materials/copper_block_from_compacting'})
	event.remove({id: 'mekanism:processing/copper/storage_blocks/from_ingots'})

    //Tin
	event.remove({id: 'mekanism:processing/tin/storage_blocks/from_ingots'})
	event.remove({id: 'mysticalagriculture:essence/common/tin_ingot'})
	event.remove({id: 'mekanism:processing/tin/nugget/from_ingot'})
	event.remove({id: 'mekanism:processing/tin/dust/from_ingot'})
	event.remove({id: 'mekanism:processing/tin/dust/from_ore'})
	event.remove({id: 'mekanism:processing/tin/dust/from_dirty_dust'})
	event.remove({id: 'create:splashing/mekanism/crushed_tin_ore'})
	event.remove({id: 'thermal:storage/tin_block'})
	event.remove({id: 'create:crushing/tin_ore'})
	event.remove({id: 'create:crushing/tin_dust'})
	event.remove({id: 'create:milling/tin_ore'})
	event.remove({id: 'create:milling/tin_dust'})
	event.remove({id: 'create:blasting/ingot_tin_compat_mekanism'})
	event.remove({id: 'create:smelting/ingot_tin_compat_mekanism'})
	event.remove({id: 'mekanism:processing/tin/ingot/from_nuggets'})
	event.remove({id: 'mekanism:processing/tin/ingot/from_block'})
	event.remove({id: 'mekanism:processing/tin/ingot/from_ore_blasting'})
	event.remove({id: 'mekanism:processing/tin/ingot/from_ore_smelting'})
	event.remove({id: 'mekanism:processing/tin/ingot/from_dust_blasting'})
	event.remove({id: 'mekanism:processing/tin/ingot/from_dust_smelting'})
	event.remove({id: 'tconstruct:smeltery/casting/metal/tin/block'})
	event.remove({id: 'thermal:machine/press/packing3x3/press_tin_packing'})
	event.remove({id: 'janoeo:blasting_tin_ore_to_tin_ingot'})
	event.remove({id: 'janoeo:smelting_tin_ore_to_tin_ingot'})
	event.remove({id: 'thermal:furnace_185263286'})
	event.remove({id: 'thermal:furnace_459064834'})
	event.remove({id: 'thermal:furnace_1442317727'})
	event.remove({id: 'thermal:furnace_315725141'})
	event.remove({id: 'janoeo:blasting_tin_nether_ore_to_tin_ingot'})
	event.remove({id: 'janoeo:smelting_tin_nether_ore_to_tin_ingot'})
	event.remove({id: 'exnihilosequentia:ens_ingot_tin_blast'})
	event.remove({id: 'exnihilosequentia:ens_ingot_tin'})

	//Lead
	event.remove({id: 'create:crushing/lead_ore'})
	event.remove({id: 'create:crushing/lead_dust'})
	event.remove({id: 'create:milling/lead_ore'})
	event.remove({id: 'mekanism:processing/lead/storage_blocks/from_ingots'})
	event.remove({id: 'thermal:storage/lead_block'})
	event.remove({id: 'tconstruct:smeltery/casting/metal/lead/block'})
	event.remove({id: 'thermal:machine/press/packing3x3/press_lead_packing'})
	event.remove({id: 'thermal:storage/lead_ingot_from_block'})
	event.remove({id: 'mysticalagriculture:essence/common/lead_ingot'})
	event.remove({id: 'mekanism:processing/lead/ingot/from_block'})
	event.remove({id: 'mekanism:processing/lead/ingot/from_nuggets'})
	event.remove({id: 'thermal:storage/lead_ingot_from_nuggets'})
	event.remove({id: 'thermal:furnace_140181792'})
	event.remove({id: 'thermal:furnace_1259747015'})
	event.remove({id: 'thermal:furnace_80236496'})
	event.remove({id: 'thermal:furnace_2016181318'})
	event.remove({id: 'thermal:furnace_1757802154'})
	event.remove({id: 'thermal:furnace_2119988729'})
	event.remove({id: 'thermal:furnace_825778967'})
	event.remove({id: 'thermal:furnace_1724435977'})
	event.remove({id: 'janoeo:blasting_lead_nether_ore_to_lead_ingot'})
	event.remove({id: 'janoeo:smelting_lead_nether_ore_to_lead_ingot'})
	event.remove({id: 'exnihilosequentia:ens_ingot_lead_blast'})
	event.remove({id: 'exnihilosequentia:ens_ingot_lead'})
	event.remove({id: 'thermal:smelting/lead_ingot_from_dust_smelting'})
	event.remove({id: 'thermal:smelting/lead_ingot_from_dust_blasting'})
	event.remove({id: 'create:smelting/ingot_lead_compat_mekanism'})
	event.remove({id: 'create:blasting/ingot_lead_compat_mekanism'})
	event.remove({id: 'create:blasting/ingot_lead_compat_thermal'})
	event.remove({id: 'create:smelting/ingot_lead_compat_thermal'})
	event.remove({id: 'create:splashing/mekanism/crushed_lead_ore'})
	event.remove({id: 'janoeo:smelting_lead_ore_to_lead_ingot'})
	event.remove({id: 'janoeo:blasting_lead_ore_to_lead_ingot'})
	event.remove({id: 'mekanism:processing/lead/ingot/from_dust_smelting'})
	event.remove({id: 'mekanism:processing/lead/ingot/from_dust_blasting'})
	event.remove({id: 'mekanism:processing/lead/ingot/from_ore_smelting'})
	event.remove({id: 'mekanism:processing/lead/ingot/from_ore_blasting'})
	event.remove({id: 'mekanism:processing/lead/dust/from_ingot'})
	event.remove({id: 'mekanism:processing/lead/dust/from_dirty_dust'})
	event.remove({id: 'mekanism:processing/lead/dust/from_ore'})
	event.remove({id: 'mekanism:processing/lead/nugget/from_ingot'})
	event.remove({id: 'thermal:smelting/lead_ingot_from_ore_smelting'})
	event.remove({id: 'thermal:smelting/lead_ingot_from_ore_blasting'})

	//Silver
	event.remove({id: 'create:crushing/silver_ore'})
	event.remove({id: 'create:milling/silver_ore'})
	event.remove({id: 'janoeo:blasting_silver_nether_ore_to_silver_ingot'})
	event.remove({id: 'janoeo:smelting_silver_nether_ore_to_silver_ingot'})
	event.remove({id: 'janoeo:blasting_silver_ore_to_silver_ingot'})
	event.remove({id: 'janoeo:smelting_silver_ore_to_silver_ingot'})
	event.remove({id: 'thermal:furnace_1746000935'})
	event.remove({id: 'thermal:furnace_2052771033'})
	event.remove({id: 'thermal:furnace_1148102140'})
	event.remove({id: 'thermal:furnace_686760981'})
	event.remove({id: 'exnihilosequentia:ens_ingot_silver'})
	event.remove({id: 'exnihilosequentia:ens_ingot_silver_blast'})
	event.remove({id: 'mysticalagriculture:essence/common/silver_ingot'})
	event.remove({id: 'create:crushing/silver_dust'})

    //stonecutter
    function stoneCutter(input, output){event.custom({"type": "minecraft:stonecutting","ingredient": input,"result": output,"count": 1})}

    //Copper
    stoneCutter([{"item": "thermal:copper_block"},{"item": "tconstruct:copper_block"},{"item": "mekanism:block_copper"}],'create:copper_block')
    stoneCutter([{"item": "create:copper_block"},{"item": "tconstruct:copper_block"},{"item": "mekanism:block_copper"}],'thermal:copper_block')
    stoneCutter([{"item": "thermal:copper_block"},{"item": "create:copper_block"},{"item": "mekanism:block_copper"}],'tconstruct:copper_block')
    stoneCutter([{"item": "thermal:copper_block"},{"item": "tconstruct:copper_block"},{"item": "create:copper_block"}],'mekanism:block_copper')
    
    //Vos autres minerais
      
})